Products
Sync Stripe Products
Queue a sync of the Stripe product catalog
POST
/
api
/
v1
/
products
/
sync
Sync Stripe Products
curl --request POST \
--url https://api.sequenzy.com/api/v1/products/sync \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/products/sync"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/products/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"jobId": "12345"
}
{
"success": false,
"error": "Invalid or missing API key"
}
{
"success": false,
"error": "No active Stripe integration found. Connect Stripe in the dashboard first."
}
Queues a background sync of the Stripe product catalog into the products list. Requires an active Stripe integration.
Request
curl -X POST "https://api.sequenzy.com/api/v1/products/sync" \
-H "Authorization: Bearer YOUR_API_KEY"
Responses
{
"success": true,
"jobId": "12345"
}
{
"success": false,
"error": "Invalid or missing API key"
}
{
"success": false,
"error": "No active Stripe integration found. Connect Stripe in the dashboard first."
}
⌘I
Sync Stripe Products
